Create temporary SSH access
POST
/v1/sessions/{id}/sshRequest an expiring connection command for the same session VM. SSH processes operate outside managed-command coordination.
Authorization
bearerAuth AuthorizationBearer <token>
Use the owner-scoped product API key provided by the service operator.
In: header
Path Parameters
id*string
Session ID returned by open or list.
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
Request
curl -X POST "https://assemble-vms-api.fly.dev/v1/sessions/497f6eca-6276-4993-bfeb-53cbbbba6f08/ssh" \ -H "Authorization: Bearer ${ASSEMBLE_API_KEY}" \ -H "Content-Type: application/json" \ -d '{}'Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "command": "string", "expiresAt": "2019-08-24T14:15:22Z"}